<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Multiplication Table</title>
</head>
<body>
    <h1>Multiplication Table</h1>
    <script>
        // escreve a coluna inicial
        function table(n){
            let inicial = []

            for(let i = 0; i <= n; i++){
                inicial[i] = []
                for(let x = 0; x <= n; x++){
                    inicial[i][x] = i * x
                }
            }
            console.table(inicial)
       
        }

        table(10)
        // TODO: escrever dois loops aninhados para desenhar o array bidimencional e monstar o restante da tabela no console.
    </script>
</body>
</html>